[Snort-users] flexresp problem

Reet reet79 at ...8950...
Tue Apr 22 02:39:04 EDT 2003


Hi together!

I tried to compile snort-2.0.0 on a RH9 (Kernel  2.4.20-9,libnet version
1.0.2a.) with the following parameters:

./configure --enable-flexresp --with-mysql --enable-smbalerts
--sysconfdir=/etc/snort

and I receive an error that libnet is not installed...it is of course!

checking libnet.h presence... yes
checking for libnet.h... yes
checking for libnet version 1.0.2a... yes
checking for libnet_build_ip in -lnet... no
 
   ERROR!  Libnet library not found, go get it from
   http://www.packetfactory.net/projects/libnet/
   or use the --with-libnet-* options, if you have it installed
   in unusual place

when I compile it with  
CPPFLAGS="-I/usr/local/include" ./configure --enable-flexresp 
all works fine. 
The problem is that I need mysql support compiled in. 
CPPFLAGS="-I/usr/local/include" ./configure --enable-flexresp
--with-mysql doesn't work anymore (same error as above).
How can I manage this?

Thanks in advance!
greetings
reet








More information about the Snort-users mailing list